Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExplainPipelineResponse

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.ExplainPipelineResponse

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ExplainPipelineResponseOrBuilder`, `Serializable`

Enclosing class:
  ClientWireProtocol

    public static final class ClientWireProtocol.ExplainPipelineResponse
    extends com.google.protobuf.GeneratedMessageV3
    implements ClientWireProtocol.ExplainPipelineResponseOrBuilder

Protobuf type `xg.cmdcomp.ExplainPipelineResponse`

See Also:
  Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type | Class | Description
--- | --- | ---
`static class` | `ClientWireProtocol.ExplainPipelineResponse.Builder` | Protobuf type `xg.cmdcomp.ExplainPipelineResponse`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,​BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,​BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `PIPELINESTATEMENT_FIELD_NUMBER` |
`static int` | `RESPONSE_FIELD_NUMBER` |

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object obj)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `getDefaultInstance()` |
`ClientWireProtocol.ExplainPipelineResponse` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Parser<ClientWireProtocol.ExplainPipelineResponse>` | `getParserForType()` |
`String` | `getPipelineStatement()` | `string pipelineStatement = 2;`
`com.google.protobuf.ByteString` | `getPipelineStatementBytes()` | `string pipelineStatement = 2;`
`ClientWireProtocol.ConfirmationResponse` | `getResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` | `getResponseOrBuilder()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`int` | `getSerializedSize()` |
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()` |
`int` | `hashCode()` |
`boolean` | `hasResponse()` | `.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`static ClientWireProtocol.ExplainPipelineResponse.Builder` | `newBuilder()` |
`static ClientWireProtocol.ExplainPipelineResponse.Builder` | `newBuilder​(ClientWireProtocol.ExplainPipelineResponse prototype)` |
`ClientWireProtocol.ExplainPipelineResponse.Builder` | `newBuilderForType()` |
`protected ClientWireProtocol.ExplainPipelineResponse.Builder` | `newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)` |
`protected Object` | `newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseDelimitedFrom​(InputStream input)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(byte[] data)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(com.google.protobuf.ByteString data)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(InputStream input)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(ByteBuffer data)` |
`static ClientWireProtocol.ExplainPipelineResponse` | `parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`static com.google.protobuf.Parser<ClientWireProtocol.ExplainPipelineResponse>` | `parser()` |
`ClientWireProtocol.ExplainPipelineResponse.Builder` | `toBuilder()` |
`void` | `writeTo​(com.google.protobuf.CodedOutputStream output)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

## Field Details

### RESPONSE_FIELD_NUMBER

public static final int RESPONSE_FIELD_NUMBER

See Also:
  Constant Field Values

### PIPELINESTATEMENT_FIELD_NUMBER

public static final int PIPELINESTATEMENT_FIELD_NUMBER

See Also:
  Constant Field Values

## Method Details

### newInstance

protected Object newInstance​(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getUnknownFields

public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### hasResponse

public boolean hasResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ExplainPipelineResponseOrBuilder`
Returns:
  Whether the response field is set.

### getResponse

public ClientWireProtocol.ConfirmationResponse getResponse()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ExplainPipelineResponseOrBuilder`
Returns:
  The response.

### getResponseOrBuilder

public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()
`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ExplainPipelineResponseOrBuilder`

### getPipelineStatement

public String getPipelineStatement()
`string pipelineStatement = 2;`

Specified by:
  `getPipelineStatement` in interface `ClientWireProtocol.ExplainPipelineResponseOrBuilder`
Returns:
  The pipelineStatement.

### getPipelineStatementBytes

public com.google.protobuf.ByteString getPipelineStatementBytes()
`string pipelineStatement = 2;`

Specified by:
  `getPipelineStatementBytes` in interface `ClientWireProtocol.ExplainPipelineResponseOrBuilder`
Returns:
  The bytes for pipelineStatement.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo​(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals​(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ExplainPipelineResponse parseDelimitedFrom​(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ExplainPipelineResponse parseDelimitedFrom​(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ExplainPipelineResponse parseFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ExplainPipelineResponse.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.ExplainPipelineResponse.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.ExplainPipelineResponse.Builder newBuilder​(ClientWireProtocol.ExplainPipelineResponse prototype)

### toBuilder

public ClientWireProtocol.ExplainPipelineResponse.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.ExplainPipelineResponse.Builder newBuilderForType​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.ExplainPipelineResponse getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.ExplainPipelineResponse> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.ExplainPipelineResponse> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.ExplainPipelineResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`